## net.sf.saxon.expr
Interface ReversibleIterator

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, EmptyIterator, NodeArrayIterator, RangeIterator, ReverseArrayIterator, ReverseNodeArrayIterator, ReverseRangeIterator, SingleNodeIterator, SingletonIterator

    public interface ReversibleIterator

extends SequenceIterator

A ReversibleIterator is an interface implemented by any SequenceIterator that is able to deliver items in reverse order (or to supply another iterator that can do so).

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Method Summary
`SequenceIterator` `getReverseIterator()` Get a new SequenceIterator that returns the same items in reverse order.

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`close, current, getAnother, getProperties, next, position`

Method Detail

### getReverseIterator

    SequenceIterator getReverseIterator()

  Get a new SequenceIterator that returns the same items in reverse order. If this SequenceIterator is an AxisIterator, then the returned SequenceIterator must also be an AxisIterator.

  Returns:
    an iterator over the items in reverse order

Copyright (c) Saxonica Limited. All rights reserved.